Skip to content

CollateralService⁠

Manage collateral records.

Operations⁠

updateCollateralCollHoldByID⁠

POST

Updates collateral collateral hold by ID.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
CollateralCollHoldLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/collateral/updateCollateralCollHoldByID
POST /nexum/627/persistent/collateral/updateCollateralCollHoldByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "CollateralCollHoldLocator": 0,
  "CollateralCollHoldFields": {},
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

updateCollateralDocumentByID⁠

POST

Updates collateral document by ID.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
CollateralDocumentLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/collateral/updateCollateralDocumentByID
POST /nexum/627/persistent/collateral/updateCollateralDocumentByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "CollateralDocumentLocator": 0,
  "CollateralDocumentFields": {},
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

updateCollateralDocumentTrackingByID⁠

POST

Updates collateral document tracking by ID.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
CollateralDocumentLocatorintegeroptional
CollateralDocumentTrackingLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/collateral/updateCollateralDocumentTrackingByID
POST /nexum/627/persistent/collateral/updateCollateralDocumentTrackingByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "CollateralDocumentLocator": 0,
  "CollateralDocumentTrackingLocator": 0,
  "CollateralDocumentTrackingFields": {},
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

updateCollateralTrackingByID⁠

POST

Updates collateral tracking by ID.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
CollateralTrackingLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/persistent/collateral/updateCollateralTrackingByID
POST /nexum/627/persistent/collateral/updateCollateralTrackingByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "CollateralTrackingLocator": 0,
  "CollateralTrackingFields": {},
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

createCollateral⁠

POST

Creates collateral.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
CollateralNumberstringoptional
POST/nexum/{sym}/persistent/collateral/createCollateral
POST /nexum/627/persistent/collateral/createCollateral HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralFields": {},
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}

createCollateralCollHold⁠

POST

Creates collateral collateral hold.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

CollateralNumberstringoptional
Path Parameters
symstringrequired
Sym number
CollateralCollHoldLocatorintegeroptional
POST/nexum/{sym}/persistent/collateral/createCollateralCollHold
POST /nexum/627/persistent/collateral/createCollateralCollHold HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "CollateralNumber": "string",
  "CollateralCollHoldFields": {},
  "nxAttributes": {
    "customFields": {
      "appId": "string"
    }
  }
}